#
# $Id: Charts.py,v 1.10 2004/10/24 10:30:35 admin Exp $
#
# Copyright (c) 2003, 2004 Dirk Datzert
# All rights reserved. Written by Dirk Datzert <dirk@datzert.de>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

__version__='$Revision: 1.10 $'[11:-2]

from reportlab.graphics.charts import \
	barcharts, linecharts, lineplots, piecharts, \
	spider, doughnut

from RenderableObject import RenderableObject, manage_addRenderableObject


def manage_addHorizontalBarChart(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, HorizontalBarChartObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addHorizontalBarChart3D(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, HorizontalBarChart3DObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addVerticalBarChart(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, VerticalBarChartObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addVerticalBarChart3D(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, VerticalBarChart3DObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addHorizontalLineChart(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, HorizontalLineChartObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addHorizontalLineChart3D(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, HorizontalLineChart3DObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addSpiderChart(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, SpiderChartObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addPie(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, PieObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addPie3D(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, Pie3DObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addLegendedPie(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, LegendedPieObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addAreaLinePlot(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, AreaLinePlotObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addLinePlot(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, LinePlotObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addLinePlot3D(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, LinePlot3DObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addGridLinePlot(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, GridLinePlotObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addScatterPlot(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, ScatterPlotObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addSplitLinePlot(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, SplitLinePlotObject, id=id, attr=attr, REQUEST=REQUEST)


def manage_addDoughnut(self, id='', attr=None, REQUEST=None):
	""" """
	manage_addRenderableObject(self, DoughnutObject, id=id, attr=attr, REQUEST=REQUEST)


class HorizontalBarChartObject( RenderableObject ):
	""" """

	meta_type = 'RO_HorizontalBarChart'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=barcharts.HorizontalBarChart)


class HorizontalBarChart3DObject( RenderableObject ):
	""" """

	meta_type = 'RO_HorizontalBarChart3D'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=barcharts.HorizontalBarChart3D)


class VerticalBarChartObject( RenderableObject ):
	""" """

	meta_type = 'RO_VerticalBarChart'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=barcharts.VerticalBarChart)


class VerticalBarChart3DObject( RenderableObject ):
	""" """

	meta_type = 'RO_VerticalBarChart3D'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=barcharts.VerticalBarChart3D)


class HorizontalLineChartObject( RenderableObject ):
	""" """

	meta_type = 'RO_HorizontalLineChart'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=linecharts.HorizontalLineChart)


class HorizontalLineChart3DObject( RenderableObject ):
	""" """

	meta_type = 'RO_HorizontalLineChart3D'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=linecharts.HorizontalLineChart3D)



class SpiderChartObject( RenderableObject ):
	""" """

	meta_type = 'RO_SpiderChart'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=spider.SpiderChart)


class LegendedPieObject( RenderableObject ):
	""" """

	meta_type = 'RO_LegendedPie'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=piecharts.LegendedPie)


class PieObject( RenderableObject ):
	""" """

	meta_type = 'RO_Pie'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=piecharts.Pie)


class Pie3DObject( RenderableObject ):
	""" """

	meta_type = 'RO_Pie3D'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=piecharts.Pie3d)


class AreaLinePlotObject( RenderableObject ):
	""" """

	meta_type = 'RO_AreaLinePlot'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=lineplots.AreaLinePlot)


class LinePlotObject( RenderableObject ):
	""" """

	meta_type = 'RO_LinePlot'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=lineplots.LinePlot)


class LinePlot3DObject( RenderableObject ):
	""" """

	meta_type = 'RO_LinePlot3D'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=lineplots.LinePlot3D)


class GridLinePlotObject( RenderableObject ):
	""" """

	meta_type = 'RO_GridLinePlot'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=lineplots.GridLinePlot)


class ScatterPlotObject( RenderableObject ):
	""" """

	meta_type = 'RO_ScatterPlot'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=lineplots.ScatterPlot)


class SplitLinePlotObject( RenderableObject ):
	""" """

	meta_type = 'RO_SplitLinePlot'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=lineplots.SplitLinePlot)


class DoughnutObject( RenderableObject ):
	""" """

	meta_type = 'RO_Doughnut'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=doughnut.Doughnut)


#	vi:ts=4
